<template>
  <div id="app">
    <router-view />
  </div>
</template>

<script>
export default  {
  name:  'App',
    created() {
      var w = window.screen.width;
      var h = window.screen.height;
      // console.log(h);
      var style = document.createElement("style");
      style.type = "text/css";
      style.innerHTML =
        "html,body {margin: 0;background: #fff;width: 100%;font-size: " +
        (w * 1) / 800 +
        "px;}";
      document.body.appendChild(style);
    },
    metaInfo() {
        return {
            title: this.$store.state.settings.dynamicTitle && this.$store.state.settings.title,
            titleTemplate: title => {
                return title ? `${title} - ${process.env.VUE_APP_TITLE}` : process.env.VUE_APP_TITLE
            }
        }
    }
}
</script>
